=== debian/changelog ===
sentineldl (20200127-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #907921).

 -- Simon Spöhel <simon@spoehel.ch>  Mon, 27 Jan 2020 10:56:01 +0100
