=== debian/control ===
Source: sentineldl
Section: python
Priority: optional
Maintainer: Simon Spöhel <simon@spoehel.ch>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gitlab.com/simon-s-upstream/sentineldl
Vcs-Browser: https://salsa.debian.org/simon-guest/sentineldl
Vcs-Git: https://salsa.debian.org/simon-guest/sentineldl.git

Package: sentineldl
Section: python
Architecture: all
Depends:
 gdal-bin,
 parallel,
 python3 (>= 3.5),
 python3-geomet,
 python3-pandas,
 python3-sentinelsat,
 unzip,
 ${misc:Depends},
Description: download and convert Sentinel 2 data
 sentineldl is a wrapper around Sentinelsat for automatically downloading
 Sentinel 2 data from Copernicus Open Access Hub
 (https://scihub.copernicus.eu/). The focus lies on automatically download
 certain regions in an unattended way. sentineldl also includes scripts for
 converting the downloaded tiles into GeoTIFFs.
