## sentineldl 20200319

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOFTWARE = sentineldl
 DOWNLOADDIR = /var/lib/$(SOFTWARE)
 
-SCRIPTS = data/*/upstream/processing.sh data/*/upstream/processing.d/*
+SCRIPTS = data/*/orig/processing.sh data/*/orig/processing.d/*
 
 test:
 
@@ -68,20 +68,20 @@
 
 	rm -f $(DESTDIR)/usr/bin/$(SOFTWARE)
 
-	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/processing.sh
-	for FILE in data/S2MSI1C/upstream/processing.d/*; \
+	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig/processing.sh
+	for FILE in data/S2MSI1C/orig/processing.d/*; \
 	do \
-		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/$$(basename $${FILE}); \
+		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig/$$(basename $${FILE}); \
 	done
 
-	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/processing.sh
-	for FILE in data/S2MSI2A/upstream/processing.d/*; \
+	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig/processing.sh
+	for FILE in data/S2MSI2A/orig/processing.d/*; \
 	do \
-		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/$$(basename $${FILE}); \
+		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig/$$(basename $${FILE}); \
 	done
 
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream || true
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream || true
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig || true
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig || true
 
 distclean:
