=== debian/changelog ===
sentineldl (20200319-2) sid; urgency=medium

  * Uploading to unstable.
  * Updating to debhelper 13.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 06 Aug 2020 11:57:32 +0200

sentineldl (20200319-1) sid; urgency=medium

  * Updating to upstream version 20200319.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 19 Mar 2020 11:02:49 +0100

sentineldl (20200205-1) sid; urgency=medium

  * Updating to upstream version 20200205.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 06 Feb 2020 08:18:43 +0100
