=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Simon Spöhel <simon@spoehel.ch>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 13),
  dh-python,
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
