=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := sentineldl

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/$(PACKAGE)/usr/share/doc/examples

	for FILE in debian/$(PACKAGE)/etc/$(PACKAGE)/*.example; \
	do \
		mv "$${FILE}" debian/$(PACKAGE)/usr/share/doc/examples/$$(basename $${FILE} .example); \
	done
